

var _PATH = "/NOA/";
//var _PATH = "/X/NOA/";

var xmlHttpObject = new XMLHttpRequest(); // function 内で call すると駄目のようだ

function gotPollingResults(){
	// サーバから返された処理を実行
	if ((xmlHttpObject.readyState == 4) && (xmlHttpObject.status == 200)){
        // サーバから受けた debug message 入り JSON をそのまま親へ 丸投げ
        postMessage(xmlHttpObject.responseText);
	}
}
function polling(){
    // サーバへ jsonString を保存: サーバからの返答を gotUpdate() で親へ返す
    xmlHttpObject.onreadystatechange = gotPollingResults;
    
    var st = _PATH + "server.php?command=GET_FRONT_ACCEPTANCE"
    + "&value=" + _noaString;
    
    xmlHttpObject.open("GET", encodeURI(st), true);
    xmlHttpObject.send(null);
    
    // 一定時刻ごとに再帰処理
    setTimeout(polling, 4000);
}

var _noaString;
onmessage = function(event) {
    // worker の生みの親から worker へ postMessage() されると起動される
    _noaString = event.data; // 親からパラメータを受け取る

    polling();
}

